Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network24.66.72.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
24.66.72.0
Broadcast address
24.66.75.255
First usable
24.66.72.1
Last usable
24.66.75.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 18424800 · Integer 406996992 to 406998015
Reverse DNS zones
72.66.24.in-addr.arpa
73.66.24.in-addr.arpa
74.66.24.in-addr.arpa
75.66.24.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011000.01000010.01001000.0000000024.66.72.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00011000.01000010.01001000.0000000024.66.72.0
Broadcast00011000.01000010.01001011.1111111124.66.75.255
Split into smaller subnets/29

24.66.72.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
124.66.72.0/2924.66.72.1 to 24.66.72.624.66.72.76
224.66.72.8/2924.66.72.9 to 24.66.72.1424.66.72.156
324.66.72.16/2924.66.72.17 to 24.66.72.2224.66.72.236
424.66.72.24/2924.66.72.25 to 24.66.72.3024.66.72.316
524.66.72.32/2924.66.72.33 to 24.66.72.3824.66.72.396
624.66.72.40/2924.66.72.41 to 24.66.72.4624.66.72.476
724.66.72.48/2924.66.72.49 to 24.66.72.5424.66.72.556
824.66.72.56/2924.66.72.57 to 24.66.72.6224.66.72.636
924.66.72.64/2924.66.72.65 to 24.66.72.7024.66.72.716
1024.66.72.72/2924.66.72.73 to 24.66.72.7824.66.72.796
1124.66.72.80/2924.66.72.81 to 24.66.72.8624.66.72.876
1224.66.72.88/2924.66.72.89 to 24.66.72.9424.66.72.956
1324.66.72.96/2924.66.72.97 to 24.66.72.10224.66.72.1036
1424.66.72.104/2924.66.72.105 to 24.66.72.11024.66.72.1116
1524.66.72.112/2924.66.72.113 to 24.66.72.11824.66.72.1196
1624.66.72.120/2924.66.72.121 to 24.66.72.12624.66.72.1276
1724.66.72.128/2924.66.72.129 to 24.66.72.13424.66.72.1356
1824.66.72.136/2924.66.72.137 to 24.66.72.14224.66.72.1436
1924.66.72.144/2924.66.72.145 to 24.66.72.15024.66.72.1516
2024.66.72.152/2924.66.72.153 to 24.66.72.15824.66.72.1596
2124.66.72.160/2924.66.72.161 to 24.66.72.16624.66.72.1676
2224.66.72.168/2924.66.72.169 to 24.66.72.17424.66.72.1756
2324.66.72.176/2924.66.72.177 to 24.66.72.18224.66.72.1836
2424.66.72.184/2924.66.72.185 to 24.66.72.19024.66.72.1916
2524.66.72.192/2924.66.72.193 to 24.66.72.19824.66.72.1996
2624.66.72.200/2924.66.72.201 to 24.66.72.20624.66.72.2076
2724.66.72.208/2924.66.72.209 to 24.66.72.21424.66.72.2156
2824.66.72.216/2924.66.72.217 to 24.66.72.22224.66.72.2236
2924.66.72.224/2924.66.72.225 to 24.66.72.23024.66.72.2316
3024.66.72.232/2924.66.72.233 to 24.66.72.23824.66.72.2396
3124.66.72.240/2924.66.72.241 to 24.66.72.24624.66.72.2476
3224.66.72.248/2924.66.72.249 to 24.66.72.25424.66.72.2556
3324.66.73.0/2924.66.73.1 to 24.66.73.624.66.73.76
3424.66.73.8/2924.66.73.9 to 24.66.73.1424.66.73.156
3524.66.73.16/2924.66.73.17 to 24.66.73.2224.66.73.236
3624.66.73.24/2924.66.73.25 to 24.66.73.3024.66.73.316
3724.66.73.32/2924.66.73.33 to 24.66.73.3824.66.73.396
3824.66.73.40/2924.66.73.41 to 24.66.73.4624.66.73.476
3924.66.73.48/2924.66.73.49 to 24.66.73.5424.66.73.556
4024.66.73.56/2924.66.73.57 to 24.66.73.6224.66.73.636
4124.66.73.64/2924.66.73.65 to 24.66.73.7024.66.73.716
4224.66.73.72/2924.66.73.73 to 24.66.73.7824.66.73.796
4324.66.73.80/2924.66.73.81 to 24.66.73.8624.66.73.876
4424.66.73.88/2924.66.73.89 to 24.66.73.9424.66.73.956
4524.66.73.96/2924.66.73.97 to 24.66.73.10224.66.73.1036
4624.66.73.104/2924.66.73.105 to 24.66.73.11024.66.73.1116
4724.66.73.112/2924.66.73.113 to 24.66.73.11824.66.73.1196
4824.66.73.120/2924.66.73.121 to 24.66.73.12624.66.73.1276
4924.66.73.128/2924.66.73.129 to 24.66.73.13424.66.73.1356
5024.66.73.136/2924.66.73.137 to 24.66.73.14224.66.73.1436
5124.66.73.144/2924.66.73.145 to 24.66.73.15024.66.73.1516
5224.66.73.152/2924.66.73.153 to 24.66.73.15824.66.73.1596
5324.66.73.160/2924.66.73.161 to 24.66.73.16624.66.73.1676
5424.66.73.168/2924.66.73.169 to 24.66.73.17424.66.73.1756
5524.66.73.176/2924.66.73.177 to 24.66.73.18224.66.73.1836
5624.66.73.184/2924.66.73.185 to 24.66.73.19024.66.73.1916
5724.66.73.192/2924.66.73.193 to 24.66.73.19824.66.73.1996
5824.66.73.200/2924.66.73.201 to 24.66.73.20624.66.73.2076
5924.66.73.208/2924.66.73.209 to 24.66.73.21424.66.73.2156
6024.66.73.216/2924.66.73.217 to 24.66.73.22224.66.73.2236
6124.66.73.224/2924.66.73.225 to 24.66.73.23024.66.73.2316
6224.66.73.232/2924.66.73.233 to 24.66.73.23824.66.73.2396
6324.66.73.240/2924.66.73.241 to 24.66.73.24624.66.73.2476
6424.66.73.248/2924.66.73.249 to 24.66.73.25424.66.73.2556
6524.66.74.0/2924.66.74.1 to 24.66.74.624.66.74.76
6624.66.74.8/2924.66.74.9 to 24.66.74.1424.66.74.156
6724.66.74.16/2924.66.74.17 to 24.66.74.2224.66.74.236
6824.66.74.24/2924.66.74.25 to 24.66.74.3024.66.74.316
6924.66.74.32/2924.66.74.33 to 24.66.74.3824.66.74.396
7024.66.74.40/2924.66.74.41 to 24.66.74.4624.66.74.476
7124.66.74.48/2924.66.74.49 to 24.66.74.5424.66.74.556
7224.66.74.56/2924.66.74.57 to 24.66.74.6224.66.74.636
7324.66.74.64/2924.66.74.65 to 24.66.74.7024.66.74.716
7424.66.74.72/2924.66.74.73 to 24.66.74.7824.66.74.796
7524.66.74.80/2924.66.74.81 to 24.66.74.8624.66.74.876
7624.66.74.88/2924.66.74.89 to 24.66.74.9424.66.74.956
7724.66.74.96/2924.66.74.97 to 24.66.74.10224.66.74.1036
7824.66.74.104/2924.66.74.105 to 24.66.74.11024.66.74.1116
7924.66.74.112/2924.66.74.113 to 24.66.74.11824.66.74.1196
8024.66.74.120/2924.66.74.121 to 24.66.74.12624.66.74.1276
8124.66.74.128/2924.66.74.129 to 24.66.74.13424.66.74.1356
8224.66.74.136/2924.66.74.137 to 24.66.74.14224.66.74.1436
8324.66.74.144/2924.66.74.145 to 24.66.74.15024.66.74.1516
8424.66.74.152/2924.66.74.153 to 24.66.74.15824.66.74.1596
8524.66.74.160/2924.66.74.161 to 24.66.74.16624.66.74.1676
8624.66.74.168/2924.66.74.169 to 24.66.74.17424.66.74.1756
8724.66.74.176/2924.66.74.177 to 24.66.74.18224.66.74.1836
8824.66.74.184/2924.66.74.185 to 24.66.74.19024.66.74.1916
8924.66.74.192/2924.66.74.193 to 24.66.74.19824.66.74.1996
9024.66.74.200/2924.66.74.201 to 24.66.74.20624.66.74.2076
9124.66.74.208/2924.66.74.209 to 24.66.74.21424.66.74.2156
9224.66.74.216/2924.66.74.217 to 24.66.74.22224.66.74.2236
9324.66.74.224/2924.66.74.225 to 24.66.74.23024.66.74.2316
9424.66.74.232/2924.66.74.233 to 24.66.74.23824.66.74.2396
9524.66.74.240/2924.66.74.241 to 24.66.74.24624.66.74.2476
9624.66.74.248/2924.66.74.249 to 24.66.74.25424.66.74.2556
9724.66.75.0/2924.66.75.1 to 24.66.75.624.66.75.76
9824.66.75.8/2924.66.75.9 to 24.66.75.1424.66.75.156
9924.66.75.16/2924.66.75.17 to 24.66.75.2224.66.75.236
10024.66.75.24/2924.66.75.25 to 24.66.75.3024.66.75.316
10124.66.75.32/2924.66.75.33 to 24.66.75.3824.66.75.396
10224.66.75.40/2924.66.75.41 to 24.66.75.4624.66.75.476
10324.66.75.48/2924.66.75.49 to 24.66.75.5424.66.75.556
10424.66.75.56/2924.66.75.57 to 24.66.75.6224.66.75.636
10524.66.75.64/2924.66.75.65 to 24.66.75.7024.66.75.716
10624.66.75.72/2924.66.75.73 to 24.66.75.7824.66.75.796
10724.66.75.80/2924.66.75.81 to 24.66.75.8624.66.75.876
10824.66.75.88/2924.66.75.89 to 24.66.75.9424.66.75.956
10924.66.75.96/2924.66.75.97 to 24.66.75.10224.66.75.1036
11024.66.75.104/2924.66.75.105 to 24.66.75.11024.66.75.1116
11124.66.75.112/2924.66.75.113 to 24.66.75.11824.66.75.1196
11224.66.75.120/2924.66.75.121 to 24.66.75.12624.66.75.1276
11324.66.75.128/2924.66.75.129 to 24.66.75.13424.66.75.1356
11424.66.75.136/2924.66.75.137 to 24.66.75.14224.66.75.1436
11524.66.75.144/2924.66.75.145 to 24.66.75.15024.66.75.1516
11624.66.75.152/2924.66.75.153 to 24.66.75.15824.66.75.1596
11724.66.75.160/2924.66.75.161 to 24.66.75.16624.66.75.1676
11824.66.75.168/2924.66.75.169 to 24.66.75.17424.66.75.1756
11924.66.75.176/2924.66.75.177 to 24.66.75.18224.66.75.1836
12024.66.75.184/2924.66.75.185 to 24.66.75.19024.66.75.1916
12124.66.75.192/2924.66.75.193 to 24.66.75.19824.66.75.1996
12224.66.75.200/2924.66.75.201 to 24.66.75.20624.66.75.2076
12324.66.75.208/2924.66.75.209 to 24.66.75.21424.66.75.2156
12424.66.75.216/2924.66.75.217 to 24.66.75.22224.66.75.2236
12524.66.75.224/2924.66.75.225 to 24.66.75.23024.66.75.2316
12624.66.75.232/2924.66.75.233 to 24.66.75.23824.66.75.2396
12724.66.75.240/2924.66.75.241 to 24.66.75.24624.66.75.2476
12824.66.75.248/2924.66.75.249 to 24.66.75.25424.66.75.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses